/*     */ package com.google.code.yanf4j.config;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class Configuration
/*     */ {
/*  25 */   private int sessionReadBufferSize = 32768;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*  30 */   private int soTimeout = 0;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*  35 */   private int writeThreadCount = 0;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*  40 */   private boolean statisticsServer = false;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*  45 */   private boolean handleReadWriteConcurrently = true;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*  50 */   private int dispatchMessageThreadCount = 0;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*  55 */   private int readThreadCount = 1;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public static final int DEFAULT_INCREASE_BUFF_SIZE = 32768;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*  65 */   public static int MAX_READ_BUFFER_SIZE = 131072;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*  70 */   private volatile long checkSessionTimeoutInterval = 1000L;
/*     */   
/*     */   public final int getWriteThreadCount() {
/*  73 */     return this.writeThreadCount;
/*     */   }
/*     */   
/*     */   public final int getDispatchMessageThreadCount() {
/*  77 */     return this.dispatchMessageThreadCount;
/*     */   }
/*     */   
/*     */   public final void setDispatchMessageThreadCount(int dispatchMessageThreadCount)
/*     */   {
/*  82 */     this.dispatchMessageThreadCount = dispatchMessageThreadCount;
/*     */   }
/*     */   
/*     */   public final void setWriteThreadCount(int writeThreadCount) {
/*  86 */     this.writeThreadCount = writeThreadCount;
/*     */   }
/*     */   
/*  89 */   private volatile long sessionIdleTimeout = 5000L;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public final long getSessionIdleTimeout()
/*     */   {
/*  96 */     return this.sessionIdleTimeout;
/*     */   }
/*     */   
/*     */   public final void setSessionIdleTimeout(long sessionIdleTimeout) {
/* 100 */     this.sessionIdleTimeout = sessionIdleTimeout;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public final int getSessionReadBufferSize()
/*     */   {
/* 108 */     return this.sessionReadBufferSize;
/*     */   }
/*     */   
/*     */   public final boolean isHandleReadWriteConcurrently() {
/* 112 */     return this.handleReadWriteConcurrently;
/*     */   }
/*     */   
/*     */   public final int getSoTimeout() {
/* 116 */     return this.soTimeout;
/*     */   }
/*     */   
/* 119 */   protected long statisticsInterval = 300000L;
/*     */   
/*     */   public final long getStatisticsInterval() {
/* 122 */     return this.statisticsInterval;
/*     */   }
/*     */   
/*     */   public final void setStatisticsInterval(long statisticsInterval) {
/* 126 */     this.statisticsInterval = statisticsInterval;
/*     */   }
/*     */   
/*     */   public final void setSoTimeout(int soTimeout) {
/* 130 */     if (soTimeout < 0) {
/* 131 */       throw new IllegalArgumentException("soTimeout<0");
/*     */     }
/* 133 */     this.soTimeout = soTimeout;
/*     */   }
/*     */   
/*     */   public final void setHandleReadWriteConcurrently(boolean handleReadWriteConcurrently)
/*     */   {
/* 138 */     this.handleReadWriteConcurrently = handleReadWriteConcurrently;
/*     */   }
/*     */   
/*     */   public final void setSessionReadBufferSize(int tcpHandlerReadBufferSize) {
/* 142 */     if (tcpHandlerReadBufferSize <= 0) {
/* 143 */       throw new IllegalArgumentException("tcpHandlerReadBufferSize<=0");
/*     */     }
/* 145 */     this.sessionReadBufferSize = tcpHandlerReadBufferSize;
/*     */   }
/*     */   
/*     */   public final boolean isStatisticsServer() {
/* 149 */     return this.statisticsServer;
/*     */   }
/*     */   
/*     */   public final void setStatisticsServer(boolean statisticsServer) {
/* 153 */     this.statisticsServer = statisticsServer;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public final int getReadThreadCount()
/*     */   {
/* 161 */     return this.readThreadCount;
/*     */   }
/*     */   
/*     */   public final void setReadThreadCount(int readThreadCount) {
/* 165 */     if (readThreadCount < 0) {
/* 166 */       throw new IllegalArgumentException("readThreadCount<0");
/*     */     }
/* 168 */     this.readThreadCount = readThreadCount;
/*     */   }
/*     */   
/*     */   public void setCheckSessionTimeoutInterval(long checkSessionTimeoutInterval) {
/* 172 */     this.checkSessionTimeoutInterval = checkSessionTimeoutInterval;
/*     */   }
/*     */   
/*     */   public long getCheckSessionTimeoutInterval() {
/* 176 */     return this.checkSessionTimeoutInterval;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\com\google\code\yanf4j\config\Configuration.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */