/*     */ package com.jaspersoft.jasperserver.api.engine.scheduling.domain.reportjobmodel;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.JasperServerAPI;
/*     */ import com.jaspersoft.jasperserver.api.engine.scheduling.domain.ReportJobSimpleTrigger;
/*     */ import java.util.Date;
/*     */ import javax.xml.bind.annotation.XmlTransient;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @JasperServerAPI
/*     */ public class ReportJobSimpleTriggerModel
/*     */   extends ReportJobSimpleTrigger
/*     */ {
/*  50 */   private boolean isOccurrenceCountModified = false;
/*  51 */   private boolean isRecurrenceIntervalUnitModified = false;
/*  52 */   private boolean isRecurrenceIntervalModified = false;
/*  53 */   private boolean isStartDateModified = false;
/*  54 */   private boolean isStartTypeModified = false;
/*  55 */   private boolean isEndDateModified = false;
/*  56 */   private boolean isTimezoneModified = false;
/*  57 */   private boolean isCalendarNameModified = false;
/*  58 */   private boolean isMisfireInstructionModified = false;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setOccurrenceCount(Integer recurrenceCount)
/*     */   {
/*  85 */     this.isOccurrenceCountModified = true;
/*  86 */     super.setOccurrenceCount(recurrenceCount.intValue());
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setRecurrenceIntervalUnit(Byte recurrenceInterval)
/*     */   {
/*  97 */     this.isRecurrenceIntervalUnitModified = true;
/*  98 */     super.setRecurrenceIntervalUnit(recurrenceInterval);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setRecurrenceInterval(Integer recurrenceInterval)
/*     */   {
/* 110 */     this.isRecurrenceIntervalModified = true;
/* 111 */     super.setRecurrenceInterval(recurrenceInterval);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   public long getId()
/*     */   {
/* 121 */     return super.getId();
/*     */   }
/*     */   
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   @XmlTransient
/*     */   public void setId(long id)
/*     */   {
/* 130 */     super.setId(id);
/*     */   }
/*     */   
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   @XmlTransient
/*     */   public int getVersion()
/*     */   {
/* 139 */     return super.getVersion();
/*     */   }
/*     */   
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   public void setVersion(int version)
/*     */   {
/* 147 */     super.setVersion(version);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setStartDate(Date startDate)
/*     */   {
/* 163 */     this.isStartDateModified = true;
/* 164 */     super.setStartDate(startDate);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setStartType(byte startType)
/*     */   {
/* 181 */     this.isStartTypeModified = true;
/* 182 */     super.setStartType(startType);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setEndDate(Date endDate)
/*     */   {
/* 196 */     this.isEndDateModified = true;
/* 197 */     super.setEndDate(endDate);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setTimezone(String timezone)
/*     */   {
/* 207 */     this.isTimezoneModified = true;
/* 208 */     super.setTimezone(timezone);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setCalendarName(String calendarName)
/*     */   {
/* 220 */     this.isCalendarNameModified = true;
/* 221 */     super.setCalendarName(calendarName);
/*     */   }
/*     */   
/*     */   public void setMisfireInstruction(Integer misfireInstruction) {
/* 225 */     this.isMisfireInstructionModified = true;
/* 226 */     super.setMisfireInstruction(misfireInstruction.intValue());
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean isOccurrenceCountModified()
/*     */   {
/* 234 */     return this.isOccurrenceCountModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isRecurrenceIntervalUnitModified()
/*     */   {
/* 241 */     return this.isRecurrenceIntervalUnitModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isRecurrenceIntervalModified()
/*     */   {
/* 248 */     return this.isRecurrenceIntervalModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isStartDateModified()
/*     */   {
/* 255 */     return this.isStartDateModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isStartTypeModified()
/*     */   {
/* 262 */     return this.isStartTypeModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isEndDateModified()
/*     */   {
/* 269 */     return this.isEndDateModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isTimezoneModified()
/*     */   {
/* 276 */     return this.isTimezoneModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isCalendarNameModified()
/*     */   {
/* 283 */     return this.isCalendarNameModified;
/*     */   }
/*     */   
/* 286 */   public boolean isMisfireInstructionModified() { return this.isMisfireInstructionModified; }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean isModified()
/*     */   {
/* 294 */     return (this.isEndDateModified) || (this.isStartDateModified) || (this.isStartTypeModified) || (this.isTimezoneModified) || (this.isOccurrenceCountModified) || (this.isRecurrenceIntervalModified) || (this.isRecurrenceIntervalUnitModified) || (this.isCalendarNameModified) || (this.isMisfireInstructionModified);
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-api-engine-6.0.jar!\com\jaspersoft\jasperserver\api\engine\scheduling\domain\reportjobmodel\ReportJobSimpleTriggerModel.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */