/*     */ package com.jaspersoft.jasperserver.jaxrs.client.dto.jobs;
/*     */ 
/*     */ import javax.xml.bind.annotation.XmlRootElement;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @XmlRootElement(name="repositoryDestination")
/*     */ public class RepositoryDestination
/*     */ {
/*     */   private String folderURI;
/*     */   private Long id;
/*     */   private String outputDescription;
/*     */   private Boolean overwriteFiles;
/*     */   private Boolean sequentialFilenames;
/*     */   private Long version;
/*     */   private String timestampPattern;
/*     */   private Boolean saveToRepository;
/*     */   private String defaultReportOutputFolderURI;
/*     */   private Boolean usingDefaultReportOutputFolderURI;
/*     */   private String outputLocalFolder;
/*     */   private FtpInfo outputFTPInfo;
/*     */   
/*     */   public String getFolderURI()
/*     */   {
/*  43 */     return this.folderURI;
/*     */   }
/*     */   
/*     */   public void setFolderURI(String folderURI) {
/*  47 */     this.folderURI = folderURI;
/*     */   }
/*     */   
/*     */   public Long getId() {
/*  51 */     return this.id;
/*     */   }
/*     */   
/*     */   public void setId(Long id) {
/*  55 */     this.id = id;
/*     */   }
/*     */   
/*     */   public String getOutputDescription() {
/*  59 */     return this.outputDescription;
/*     */   }
/*     */   
/*     */   public void setOutputDescription(String outputDescription) {
/*  63 */     this.outputDescription = outputDescription;
/*     */   }
/*     */   
/*     */   public Boolean isOverwriteFiles() {
/*  67 */     return this.overwriteFiles;
/*     */   }
/*     */   
/*     */   public void setOverwriteFiles(Boolean overwriteFiles) {
/*  71 */     this.overwriteFiles = overwriteFiles;
/*     */   }
/*     */   
/*     */   public Boolean isSequentialFilenames() {
/*  75 */     return this.sequentialFilenames;
/*     */   }
/*     */   
/*     */   public void setSequentialFilenames(Boolean sequentialFilenames) {
/*  79 */     this.sequentialFilenames = sequentialFilenames;
/*     */   }
/*     */   
/*     */   public Long getVersion() {
/*  83 */     return this.version;
/*     */   }
/*     */   
/*     */   public void setVersion(Long version) {
/*  87 */     this.version = version;
/*     */   }
/*     */   
/*     */   public String getTimestampPattern() {
/*  91 */     return this.timestampPattern;
/*     */   }
/*     */   
/*     */   public void setTimestampPattern(String timestampPattern) {
/*  95 */     this.timestampPattern = timestampPattern;
/*     */   }
/*     */   
/*     */   public Boolean isSaveToRepository() {
/*  99 */     return this.saveToRepository;
/*     */   }
/*     */   
/*     */   public void setSaveToRepository(Boolean saveToRepository) {
/* 103 */     this.saveToRepository = saveToRepository;
/*     */   }
/*     */   
/*     */   public String getDefaultReportOutputFolderURI() {
/* 107 */     return this.defaultReportOutputFolderURI;
/*     */   }
/*     */   
/*     */   public void setDefaultReportOutputFolderURI(String defaultReportOutputFolderURI) {
/* 111 */     this.defaultReportOutputFolderURI = defaultReportOutputFolderURI;
/*     */   }
/*     */   
/*     */   public Boolean isUsingDefaultReportOutputFolderURI() {
/* 115 */     return this.usingDefaultReportOutputFolderURI;
/*     */   }
/*     */   
/*     */   public void setUsingDefaultReportOutputFolderURI(Boolean usingDefaultReportOutputFolderURI) {
/* 119 */     this.usingDefaultReportOutputFolderURI = usingDefaultReportOutputFolderURI;
/*     */   }
/*     */   
/*     */   public String getOutputLocalFolder() {
/* 123 */     return this.outputLocalFolder;
/*     */   }
/*     */   
/*     */   public void setOutputLocalFolder(String outputLocalFolder) {
/* 127 */     this.outputLocalFolder = outputLocalFolder;
/*     */   }
/*     */   
/*     */   public FtpInfo getOutputFTPInfo() {
/* 131 */     return this.outputFTPInfo;
/*     */   }
/*     */   
/*     */   public void setOutputFTPInfo(FtpInfo outputFTPInfo) {
/* 135 */     this.outputFTPInfo = outputFTPInfo;
/*     */   }
/*     */   
/*     */   public boolean equals(Object o)
/*     */   {
/* 140 */     if (this == o) return true;
/* 141 */     if (!(o instanceof RepositoryDestination)) { return false;
/*     */     }
/* 143 */     RepositoryDestination that = (RepositoryDestination)o;
/*     */     
/* 145 */     if (this.defaultReportOutputFolderURI != null ? !this.defaultReportOutputFolderURI.equals(that.defaultReportOutputFolderURI) : that.defaultReportOutputFolderURI != null)
/* 146 */       return false;
/* 147 */     if (this.folderURI != null ? !this.folderURI.equals(that.folderURI) : that.folderURI != null) return false;
/* 148 */     if (this.id != null ? !this.id.equals(that.id) : that.id != null) return false;
/* 149 */     if (this.outputDescription != null ? !this.outputDescription.equals(that.outputDescription) : that.outputDescription != null)
/* 150 */       return false;
/* 151 */     if (this.outputFTPInfo != null ? !this.outputFTPInfo.equals(that.outputFTPInfo) : that.outputFTPInfo != null)
/* 152 */       return false;
/* 153 */     if (this.outputLocalFolder != null ? !this.outputLocalFolder.equals(that.outputLocalFolder) : that.outputLocalFolder != null)
/* 154 */       return false;
/* 155 */     if (this.overwriteFiles != null ? !this.overwriteFiles.equals(that.overwriteFiles) : that.overwriteFiles != null)
/* 156 */       return false;
/* 157 */     if (this.saveToRepository != null ? !this.saveToRepository.equals(that.saveToRepository) : that.saveToRepository != null)
/* 158 */       return false;
/* 159 */     if (this.sequentialFilenames != null ? !this.sequentialFilenames.equals(that.sequentialFilenames) : that.sequentialFilenames != null)
/* 160 */       return false;
/* 161 */     if (this.timestampPattern != null ? !this.timestampPattern.equals(that.timestampPattern) : that.timestampPattern != null)
/* 162 */       return false;
/* 163 */     if (this.usingDefaultReportOutputFolderURI != null ? !this.usingDefaultReportOutputFolderURI.equals(that.usingDefaultReportOutputFolderURI) : that.usingDefaultReportOutputFolderURI != null)
/* 164 */       return false;
/* 165 */     if (this.version != null ? !this.version.equals(that.version) : that.version != null) { return false;
/*     */     }
/* 167 */     return true;
/*     */   }
/*     */   
/*     */   public int hashCode()
/*     */   {
/* 172 */     int result = this.folderURI != null ? this.folderURI.hashCode() : 0;
/* 173 */     result = 31 * result + (this.id != null ? this.id.hashCode() : 0);
/* 174 */     result = 31 * result + (this.outputDescription != null ? this.outputDescription.hashCode() : 0);
/* 175 */     result = 31 * result + (this.overwriteFiles != null ? this.overwriteFiles.hashCode() : 0);
/* 176 */     result = 31 * result + (this.sequentialFilenames != null ? this.sequentialFilenames.hashCode() : 0);
/* 177 */     result = 31 * result + (this.version != null ? this.version.hashCode() : 0);
/* 178 */     result = 31 * result + (this.timestampPattern != null ? this.timestampPattern.hashCode() : 0);
/* 179 */     result = 31 * result + (this.saveToRepository != null ? this.saveToRepository.hashCode() : 0);
/* 180 */     result = 31 * result + (this.defaultReportOutputFolderURI != null ? this.defaultReportOutputFolderURI.hashCode() : 0);
/* 181 */     result = 31 * result + (this.usingDefaultReportOutputFolderURI != null ? this.usingDefaultReportOutputFolderURI.hashCode() : 0);
/* 182 */     result = 31 * result + (this.outputLocalFolder != null ? this.outputLocalFolder.hashCode() : 0);
/* 183 */     result = 31 * result + (this.outputFTPInfo != null ? this.outputFTPInfo.hashCode() : 0);
/* 184 */     return result;
/*     */   }
/*     */   
/*     */   public String toString()
/*     */   {
/* 189 */     return "RepositoryDestination{folderURI='" + this.folderURI + '\'' + ", id=" + this.id + ", outputDescription='" + this.outputDescription + '\'' + ", overwriteFiles=" + this.overwriteFiles + ", sequentialFilenames=" + this.sequentialFilenames + ", version=" + this.version + ", timestampPattern='" + this.timestampPattern + '\'' + ", saveToRepository=" + this.saveToRepository + ", defaultReportOutputFolderURI='" + this.defaultReportOutputFolderURI + '\'' + ", usingDefaultReportOutputFolderURI=" + this.usingDefaultReportOutputFolderURI + ", outputLocalFolder='" + this.outputLocalFolder + '\'' + ", outputFTPInfo=" + this.outputFTPInfo + '}';
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jrs-rest-java-client-6.0.3-ALPHA.jar!\com\jaspersoft\jasperserver\jaxrs\client\dto\jobs\RepositoryDestination.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */