/*     */ package com.jaspersoft.jasperserver.ws.scheduling;
/*     */ 
/*     */ import java.io.Serializable;
/*     */ import java.lang.reflect.Array;
/*     */ import java.util.Arrays;
/*     */ import javax.xml.bind.annotation.XmlRootElement;
/*     */ import javax.xml.bind.annotation.XmlTransient;
/*     */ import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @XmlRootElement(name="job")
/*     */ public class Job
/*     */   implements Serializable
/*     */ {
/*     */   private long id;
/*     */   private int version;
/*     */   private String reportUnitURI;
/*     */   @XmlTransient
/*     */   private String username;
/*     */   private String label;
/*     */   private String description;
/*     */   private JobSimpleTrigger simpleTrigger;
/*     */   private JobCalendarTrigger calendarTrigger;
/*     */   private JobParameter[] parameters;
/*     */   private String baseOutputFilename;
/*     */   private String[] outputFormats;
/*     */   private String outputLocale;
/*     */   private JobRepositoryDestination repositoryDestination;
/*     */   private JobMailNotification mailNotification;
/*     */   
/*     */   public Job() {}
/*     */   
/*     */   public Job(long id, int version, String reportUnitURI, String username, String label, String description, JobSimpleTrigger simpleTrigger, JobCalendarTrigger calendarTrigger, JobParameter[] parameters, String baseOutputFilename, String[] outputFormats, String outputLocale, JobRepositoryDestination repositoryDestination, JobMailNotification mailNotification)
/*     */   {
/*  72 */     this.id = id;
/*  73 */     this.version = version;
/*  74 */     this.reportUnitURI = reportUnitURI;
/*  75 */     this.username = username;
/*  76 */     this.label = label;
/*  77 */     this.description = description;
/*  78 */     this.simpleTrigger = simpleTrigger;
/*  79 */     this.calendarTrigger = calendarTrigger;
/*  80 */     this.parameters = parameters;
/*  81 */     this.baseOutputFilename = baseOutputFilename;
/*  82 */     this.outputFormats = outputFormats;
/*  83 */     this.outputLocale = outputLocale;
/*  84 */     this.repositoryDestination = repositoryDestination;
/*  85 */     this.mailNotification = mailNotification;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public long getId()
/*     */   {
/*  95 */     return this.id;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setId(long id)
/*     */   {
/* 105 */     this.id = id;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public int getVersion()
/*     */   {
/* 115 */     return this.version;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setVersion(int version)
/*     */   {
/* 125 */     this.version = version;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getReportUnitURI()
/*     */   {
/* 135 */     return this.reportUnitURI;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setReportUnitURI(String reportUnitURI)
/*     */   {
/* 145 */     this.reportUnitURI = reportUnitURI;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   @XmlTransient
/*     */   public String getUsername()
/*     */   {
/* 156 */     return this.username;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setUsername(String username)
/*     */   {
/* 166 */     this.username = username;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getLabel()
/*     */   {
/* 176 */     return this.label;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setLabel(String label)
/*     */   {
/* 186 */     this.label = label;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getDescription()
/*     */   {
/* 196 */     return this.description;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setDescription(String description)
/*     */   {
/* 206 */     this.description = description;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public JobSimpleTrigger getSimpleTrigger()
/*     */   {
/* 216 */     return this.simpleTrigger;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setSimpleTrigger(JobSimpleTrigger simpleTrigger)
/*     */   {
/* 226 */     this.simpleTrigger = simpleTrigger;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public JobCalendarTrigger getCalendarTrigger()
/*     */   {
/* 236 */     return this.calendarTrigger;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setCalendarTrigger(JobCalendarTrigger calendarTrigger)
/*     */   {
/* 246 */     this.calendarTrigger = calendarTrigger;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   @XmlJavaTypeAdapter(ParameterValueXmlAdapter.class)
/*     */   public JobParameter[] getParameters()
/*     */   {
/* 257 */     return this.parameters;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setParameters(JobParameter[] parameters)
/*     */   {
/* 267 */     this.parameters = parameters;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getBaseOutputFilename()
/*     */   {
/* 277 */     return this.baseOutputFilename;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setBaseOutputFilename(String baseOutputFilename)
/*     */   {
/* 287 */     this.baseOutputFilename = baseOutputFilename;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String[] getOutputFormats()
/*     */   {
/* 297 */     return this.outputFormats;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setOutputFormats(String[] outputFormats)
/*     */   {
/* 307 */     this.outputFormats = outputFormats;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getOutputLocale()
/*     */   {
/* 317 */     return this.outputLocale;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setOutputLocale(String outputLocale)
/*     */   {
/* 327 */     this.outputLocale = outputLocale;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public JobRepositoryDestination getRepositoryDestination()
/*     */   {
/* 337 */     return this.repositoryDestination;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setRepositoryDestination(JobRepositoryDestination repositoryDestination)
/*     */   {
/* 347 */     this.repositoryDestination = repositoryDestination;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public JobMailNotification getMailNotification()
/*     */   {
/* 357 */     return this.mailNotification;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setMailNotification(JobMailNotification mailNotification)
/*     */   {
/* 367 */     this.mailNotification = mailNotification;
/*     */   }
/*     */   
/* 370 */   private Object __equalsCalc = null;
/*     */   
/* 372 */   public synchronized boolean equals(Object obj) { if (!(obj instanceof Job)) return false;
/* 373 */     Job other = (Job)obj;
/* 374 */     if (obj == null) return false;
/* 375 */     if (this == obj) return true;
/* 376 */     if (this.__equalsCalc != null) {
/* 377 */       return this.__equalsCalc == obj;
/*     */     }
/* 379 */     this.__equalsCalc = obj;
/*     */     
/* 381 */     boolean _equals = (this.id == other.getId()) && (this.version == other.getVersion()) && (((this.reportUnitURI == null) && (other.getReportUnitURI() == null)) || ((this.reportUnitURI != null) && (this.reportUnitURI.equals(other.getReportUnitURI())) && (((this.username == null) && (other.getUsername() == null)) || ((this.username != null) && (this.username.equals(other.getUsername())) && (((this.label == null) && (other.getLabel() == null)) || ((this.label != null) && (this.label.equals(other.getLabel())) && (((this.description == null) && (other.getDescription() == null)) || ((this.description != null) && (this.description.equals(other.getDescription())) && (((this.simpleTrigger == null) && (other.getSimpleTrigger() == null)) || ((this.simpleTrigger != null) && (this.simpleTrigger.equals(other.getSimpleTrigger())) && (((this.calendarTrigger == null) && (other.getCalendarTrigger() == null)) || ((this.calendarTrigger != null) && (this.calendarTrigger.equals(other.getCalendarTrigger())) && (((this.parameters == null) && (other.getParameters() == null)) || ((this.parameters != null) && (Arrays.equals(this.parameters, other.getParameters())) && (((this.baseOutputFilename == null) && (other.getBaseOutputFilename() == null)) || ((this.baseOutputFilename != null) && (this.baseOutputFilename.equals(other.getBaseOutputFilename())) && (((this.outputFormats == null) && (other.getOutputFormats() == null)) || ((this.outputFormats != null) && (Arrays.equals(this.outputFormats, other.getOutputFormats())) && (((this.outputLocale == null) && (other.getOutputLocale() == null)) || ((this.outputLocale != null) && (this.outputLocale.equals(other.getOutputLocale())) && (((this.repositoryDestination == null) && (other.getRepositoryDestination() == null)) || ((this.repositoryDestination != null) && (this.repositoryDestination.equals(other.getRepositoryDestination())) && (((this.mailNotification == null) && (other.getMailNotification() == null)) || ((this.mailNotification != null) && (this.mailNotification.equals(other.getMailNotification()))))))))))))))))))))))))));
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 420 */     this.__equalsCalc = null;
/* 421 */     return _equals;
/*     */   }
/*     */   
/* 424 */   private boolean __hashCodeCalc = false;
/*     */   
/* 426 */   public synchronized int hashCode() { if (this.__hashCodeCalc) {
/* 427 */       return 0;
/*     */     }
/* 429 */     this.__hashCodeCalc = true;
/* 430 */     int _hashCode = 1;
/* 431 */     _hashCode += new Long(getId()).hashCode();
/* 432 */     _hashCode += getVersion();
/* 433 */     if (getReportUnitURI() != null) {
/* 434 */       _hashCode += getReportUnitURI().hashCode();
/*     */     }
/* 436 */     if (getUsername() != null) {
/* 437 */       _hashCode += getUsername().hashCode();
/*     */     }
/* 439 */     if (getLabel() != null) {
/* 440 */       _hashCode += getLabel().hashCode();
/*     */     }
/* 442 */     if (getDescription() != null) {
/* 443 */       _hashCode += getDescription().hashCode();
/*     */     }
/* 445 */     if (getSimpleTrigger() != null) {
/* 446 */       _hashCode += getSimpleTrigger().hashCode();
/*     */     }
/* 448 */     if (getCalendarTrigger() != null) {
/* 449 */       _hashCode += getCalendarTrigger().hashCode();
/*     */     }
/* 451 */     if (getParameters() != null) {
/* 452 */       for (int i = 0; 
/* 453 */           i < Array.getLength(getParameters()); 
/* 454 */           i++) {
/* 455 */         Object obj = Array.get(getParameters(), i);
/* 456 */         if ((obj != null) && (!obj.getClass().isArray()))
/*     */         {
/* 458 */           _hashCode += obj.hashCode();
/*     */         }
/*     */       }
/*     */     }
/* 462 */     if (getBaseOutputFilename() != null) {
/* 463 */       _hashCode += getBaseOutputFilename().hashCode();
/*     */     }
/* 465 */     if (getOutputFormats() != null) {
/* 466 */       for (int i = 0; 
/* 467 */           i < Array.getLength(getOutputFormats()); 
/* 468 */           i++) {
/* 469 */         Object obj = Array.get(getOutputFormats(), i);
/* 470 */         if ((obj != null) && (!obj.getClass().isArray()))
/*     */         {
/* 472 */           _hashCode += obj.hashCode();
/*     */         }
/*     */       }
/*     */     }
/* 476 */     if (getOutputLocale() != null) {
/* 477 */       _hashCode += getOutputLocale().hashCode();
/*     */     }
/* 479 */     if (getRepositoryDestination() != null) {
/* 480 */       _hashCode += getRepositoryDestination().hashCode();
/*     */     }
/* 482 */     if (getMailNotification() != null) {
/* 483 */       _hashCode += getMailNotification().hashCode();
/*     */     }
/* 485 */     this.__hashCodeCalc = false;
/* 486 */     return _hashCode;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-common-ws-6.0.jar!\com\jaspersoft\jasperserver\ws\scheduling\Job.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */