/*     */ package com.jaspersoft.jasperserver.api.engine.scheduling.domain.reportjobmodel;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.JSException;
/*     */ import com.jaspersoft.jasperserver.api.JasperServerAPI;
/*     */ import com.jaspersoft.jasperserver.api.engine.scheduling.domain.ReportJobAlert;
/*     */ import com.jaspersoft.jasperserver.api.engine.scheduling.domain.ReportJobAlert.JobState;
/*     */ import com.jaspersoft.jasperserver.api.engine.scheduling.domain.ReportJobAlert.Recipient;
/*     */ import java.util.List;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @JasperServerAPI
/*     */ public class ReportJobAlertModel
/*     */   extends ReportJobAlert
/*     */ {
/*  44 */   private boolean isRecipientModified = false;
/*  45 */   private boolean isToAddressesModified = false;
/*  46 */   private boolean isJobStateModified = false;
/*  47 */   private boolean isMessageTextModified = false;
/*  48 */   private boolean isMessageTextWhenJobFailsModified = false;
/*  49 */   private boolean isSubjectModified = false;
/*  50 */   private boolean isIncludingStackTraceModified = false;
/*  51 */   private boolean isIncludingReportJobInfoModified = false;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   public long getId()
/*     */   {
/*  64 */     throw new JSException("ID is not supported in ReportJobModel");
/*     */   }
/*     */   
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   public void setId(long id) {
/*  71 */     throw new JSException("ID is not supported in ReportJobModel");
/*     */   }
/*     */   
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   public int getVersion() {
/*  78 */     throw new JSException("Version is not supported in ReportJobModel");
/*     */   }
/*     */   
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   public void setVersion(int version) {
/*  85 */     throw new JSException("Version is not supported in ReportJobModel");
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setRecipient(ReportJobAlert.Recipient recipient)
/*     */   {
/*  95 */     super.setRecipient(recipient);
/*  96 */     this.isRecipientModified = true;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setToAddresses(List<String> toAddresses)
/*     */   {
/* 107 */     super.setToAddresses(toAddresses);
/* 108 */     this.isToAddressesModified = true;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setJobState(ReportJobAlert.JobState jobState)
/*     */   {
/* 118 */     super.setJobState(jobState);
/* 119 */     this.isJobStateModified = true;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setMessageText(String customizeMessage)
/*     */   {
/* 128 */     super.setMessageText(customizeMessage);
/* 129 */     this.isMessageTextModified = true;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setMessageTextWhenJobFails(String customizeMessage)
/*     */   {
/* 138 */     super.setMessageTextWhenJobFails(customizeMessage);
/* 139 */     this.isMessageTextModified = true;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setSubject(String subject)
/*     */   {
/* 148 */     super.setSubject(subject);
/* 149 */     this.isSubjectModified = true;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setIncludingReportJobInfo(boolean includingReportJobInfo)
/*     */   {
/* 158 */     super.setIncludingReportJobInfo(includingReportJobInfo);
/* 159 */     this.isIncludingReportJobInfoModified = true;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setIncludingStackTrace(boolean includeStackTrace)
/*     */   {
/* 168 */     super.setIncludingStackTrace(includeStackTrace);
/* 169 */     this.isIncludingStackTraceModified = true;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean isRecipientModified()
/*     */   {
/* 177 */     return this.isRecipientModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isToAddressesModified()
/*     */   {
/* 184 */     return this.isToAddressesModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isJobStateModified()
/*     */   {
/* 191 */     return this.isJobStateModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isMessageTextModified()
/*     */   {
/* 198 */     return this.isMessageTextModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isMessageTextWhenJobFailsModified()
/*     */   {
/* 205 */     return this.isMessageTextWhenJobFailsModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isSubjectModified()
/*     */   {
/* 212 */     return this.isSubjectModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isIncludingStackTraceModified()
/*     */   {
/* 219 */     return this.isIncludingStackTraceModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isIncludingReportJobInfoModified()
/*     */   {
/* 226 */     return this.isIncludingReportJobInfoModified;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-api-engine-6.0.jar!\com\jaspersoft\jasperserver\api\engine\scheduling\domain\reportjobmodel\ReportJobAlertModel.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */