/*     */ package com.jaspersoft.jasperserver.api.engine.scheduling.domain.reportjobmodel;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.JasperServerAPI;
/*     */ import com.jaspersoft.jasperserver.api.engine.scheduling.domain.ReportJobMailNotification;
/*     */ import java.util.List;
/*     */ import javax.xml.bind.annotation.XmlTransient;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @JasperServerAPI
/*     */ public class ReportJobMailNotificationModel
/*     */   extends ReportJobMailNotification
/*     */ {
/*  47 */   private boolean isMessageTextModified = false;
/*  48 */   private boolean isResultSendTypeModified = false;
/*  49 */   private boolean isSubjectModified = false;
/*  50 */   private boolean isBccAddressesModified = false;
/*  51 */   private boolean isCcAddressesModified = false;
/*  52 */   private boolean isToAddressesModified = false;
/*  53 */   private boolean isSkipEmptyReportsModified = false;
/*  54 */   private boolean isMessageTextWhenJobFailsModified = false;
/*  55 */   private boolean isIncludingStackTraceWhenJobFailsModified = false;
/*  56 */   private boolean isSkipNotificationWhenJobFailsModified = false;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   @XmlTransient
/*     */   public long getId()
/*     */   {
/*  71 */     return super.getId();
/*     */   }
/*     */   
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   public void setId(long id) {
/*  78 */     super.setId(id);
/*     */   }
/*     */   
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   @XmlTransient
/*     */   public int getVersion()
/*     */   {
/*  87 */     return super.getVersion();
/*     */   }
/*     */   
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   public void setVersion(int version) {
/*  94 */     super.setVersion(version);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setMessageText(String messageText)
/*     */   {
/* 103 */     this.isMessageTextModified = true;
/* 104 */     super.setMessageText(messageText);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setResultSendTypeCode(Byte resultSendType)
/*     */   {
/* 115 */     this.isResultSendTypeModified = true;
/* 116 */     super.setResultSendTypeCode(resultSendType);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setSubject(String subject)
/*     */   {
/* 125 */     this.isSubjectModified = true;
/* 126 */     super.setSubject(subject);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setBccAddresses(List bccAddresses)
/*     */   {
/* 137 */     this.isBccAddressesModified = true;
/* 138 */     super.setBccAddresses(bccAddresses);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void addBcc(String address)
/*     */   {
/* 147 */     this.isBccAddressesModified = true;
/* 148 */     super.addBcc(address);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setCcAddresses(List ccAddresses)
/*     */   {
/* 159 */     this.isCcAddressesModified = true;
/* 160 */     super.setCcAddresses(ccAddresses);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void addCc(String address)
/*     */   {
/* 169 */     this.isCcAddressesModified = true;
/* 170 */     super.addCc(address);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setToAddresses(List toAddresses)
/*     */   {
/* 181 */     this.isToAddressesModified = true;
/* 182 */     super.setToAddresses(toAddresses);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void addTo(String address)
/*     */   {
/* 191 */     this.isToAddressesModified = true;
/* 192 */     super.addTo(address);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setSkipEmptyReports(boolean skipEmptyReports)
/*     */   {
/* 204 */     this.isSkipEmptyReportsModified = true;
/* 205 */     super.setSkipEmptyReports(skipEmptyReports);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setMessageTextWhenJobFails(String messageTextWhenErrorOccurs)
/*     */   {
/* 214 */     super.setMessageTextWhenJobFails(messageTextWhenErrorOccurs);
/* 215 */     this.isMessageTextWhenJobFailsModified = true;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setIncludingStackTraceWhenJobFails(boolean includeStackTraceWhenErrorOccurs)
/*     */   {
/* 224 */     super.setIncludingStackTraceWhenJobFails(includeStackTraceWhenErrorOccurs);
/* 225 */     this.isIncludingStackTraceWhenJobFailsModified = true;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setSkipNotificationWhenJobFails(boolean skipNotificationWhenJobFails)
/*     */   {
/* 234 */     this.isSkipNotificationWhenJobFailsModified = true;
/* 235 */     super.setSkipNotificationWhenJobFails(skipNotificationWhenJobFails);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean isMessageTextModified()
/*     */   {
/* 243 */     return this.isMessageTextModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isResultSendTypeModified()
/*     */   {
/* 250 */     return this.isResultSendTypeModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isSubjectModified()
/*     */   {
/* 257 */     return this.isSubjectModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isSkipEmptyReportsModified()
/*     */   {
/* 264 */     return this.isSkipEmptyReportsModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isBccAddressesModified()
/*     */   {
/* 271 */     return this.isBccAddressesModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isCcAddressesModified()
/*     */   {
/* 278 */     return this.isCcAddressesModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isToAddressesModified()
/*     */   {
/* 285 */     return this.isToAddressesModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isMessageTextWhenJobFailsModified()
/*     */   {
/* 292 */     return this.isMessageTextWhenJobFailsModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isIncludingStackTraceWhenJobFailsModified()
/*     */   {
/* 299 */     return this.isIncludingStackTraceWhenJobFailsModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isSkipNotificationWhenJobFailsModified()
/*     */   {
/* 306 */     return this.isSkipNotificationWhenJobFailsModified;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-api-engine-6.0.jar!\com\jaspersoft\jasperserver\api\engine\scheduling\domain\reportjobmodel\ReportJobMailNotificationModel.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */