/*     */ package com.jaspersoft.jasperserver.irplugin.gui;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.ResourceDescriptor;
/*     */ import com.jaspersoft.jasperserver.irplugin.IRPlugin;
/*     */ import com.jaspersoft.jasperserver.irplugin.JServer;
/*     */ import it.businesslogic.ireport.gui.sheet.Tag;
/*     */ import java.awt.Component;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dialog;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.GridBagConstraints;
/*     */ import java.awt.GridBagLayout;
/*     */ import java.awt.Insets;
/*     */ import java.awt.Window;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.awt.event.WindowEvent;
/*     */ import java.io.File;
/*     */ import javax.swing.AbstractButton;
/*     */ import javax.swing.JButton;
/*     */ import javax.swing.JComboBox;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JDialog;
/*     */ import javax.swing.JEditorPane;
/*     */ import javax.swing.JFileChooser;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JOptionPane;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JScrollPane;
/*     */ import javax.swing.JSeparator;
/*     */ import javax.swing.JTextField;
/*     */ import javax.swing.event.DocumentEvent;
/*     */ import javax.swing.event.DocumentListener;
/*     */ import javax.swing.filechooser.FileFilter;
/*     */ import javax.swing.text.Document;
/*     */ import javax.swing.text.JTextComponent;
/*     */ 
/*     */ public class NewResourceDialog extends JDialog
/*     */ {
/*  40 */   private int dialogResult = 2;
/*  41 */   private String resourceType = "img";
/*  42 */   private JServer server = null;
/*  43 */   private String reportUnitUri = null;
/*  44 */   private ResourceDescriptor newResourceDescriptor = null;
/*     */   private String parentUri;
/*     */   private JButton jButton1;
/*     */   private JButton jButtonClose;
/*     */   
/*     */   public NewResourceDialog(java.awt.Frame parent, boolean modal)
/*     */   {
/*  51 */     super(parent, modal);
/*  52 */     initComponents();
/*     */     
/*  54 */     it.businesslogic.ireport.util.Misc.centerFrame(this);
/*  55 */     this.jTextFieldLabel.getDocument().addDocumentListener(new DocumentListener() {
/*     */       public void changedUpdate(DocumentEvent evt) {
/*  57 */         NewResourceDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  60 */       public void insertUpdate(DocumentEvent evt) { NewResourceDialog.this.updateSaveButton(); }
/*     */       
/*     */       public void removeUpdate(DocumentEvent evt) {
/*  63 */         NewResourceDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  66 */     });
/*  67 */     this.jTextFieldFile.getDocument().addDocumentListener(new DocumentListener() {
/*     */       public void changedUpdate(DocumentEvent evt) {
/*  69 */         NewResourceDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  72 */       public void insertUpdate(DocumentEvent evt) { NewResourceDialog.this.updateSaveButton(); }
/*     */       
/*     */       public void removeUpdate(DocumentEvent evt) {
/*  75 */         NewResourceDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  78 */     });
/*  79 */     this.jTextFieldName.getDocument().addDocumentListener(new DocumentListener() {
/*     */       public void changedUpdate(DocumentEvent evt) {
/*  81 */         NewResourceDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  84 */       public void insertUpdate(DocumentEvent evt) { NewResourceDialog.this.updateSaveButton(); }
/*     */       
/*     */       public void removeUpdate(DocumentEvent evt) {
/*  87 */         NewResourceDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*     */ 
/*  91 */     });
/*  92 */     this.jComboBoxResourceType.addItem(new Tag("img", "Image"));
/*  93 */     this.jComboBoxResourceType.addItem(new Tag("prop", "Resource bundle"));
/*  94 */     this.jComboBoxResourceType.addItem(new Tag("jrxml", "Jrxml"));
/*  95 */     this.jComboBoxResourceType.addItem(new Tag("jar", "Jar"));
/*  96 */     this.jComboBoxResourceType.addItem(new Tag("font", "Font"));
/*     */     
/*  98 */     applyI18n();
/*  99 */     this.jTextFieldName.requestFocusInWindow(); }
/*     */   
/*     */   private JButton jButtonSave;
/*     */   private JComboBox jComboBoxResourceType;
/*     */   private JEditorPane jEditorPaneDescription;
/* 104 */   public void applyI18n() { this.jButtonClose.setText(IRPlugin.getString("newResourceDialog.buttonCancel", "Cancel"));
/* 105 */     this.jButtonSave.setText(IRPlugin.getString("newResourceDialog.buttonSave", "Save"));
/*     */     
/* 107 */     this.jLabel1.setText(IRPlugin.getString("newResourceDialog.title", "New folder/resource"));
/* 108 */     this.jLabelDescription.setText(IRPlugin.getString("newResourceDialog.labelDescription", "Description"));
/* 109 */     this.jLabelLabel.setText(IRPlugin.getString("newResourceDialog.labelLabel", "Label"));
/* 110 */     this.jLabelName.setText(IRPlugin.getString("newResourceDialog.labelName", "Name"));
/* 111 */     this.jLabelUriString.setText(IRPlugin.getString("newResourceDialog.labelParentFolder", "Parent folder"));
/*     */     
/* 113 */     this.jButton1.setText(IRPlugin.getString("newResourceDialog.browse", "Browse"));
/* 114 */     this.jLabelResourceFile.setText(IRPlugin.getString("newResourceDialog.labelResourceFile", "Resource file"));
/* 115 */     this.jLabelResourceType.setText(IRPlugin.getString("newResourceDialog.labelResourceType", "Resource type")); }
/*     */   
/*     */   private JLabel jLabel1;
/*     */   private JLabel jLabelDescription;
/*     */   private JLabel jLabelLabel;
/*     */   
/* 121 */   public void updateSaveButton() { if ((this.jTextFieldLabel.getText().length() > 0) && (this.jTextFieldName.getText().length() > 0) && ((!this.jComboBoxResourceType.isVisible()) || (this.jTextFieldFile.getText().length() > 0)))
/*     */     {
/*     */ 
/*     */ 
/* 125 */       this.jButtonSave.setEnabled(true);
/*     */     }
/*     */     else
/*     */     {
/* 129 */       this.jButtonSave.setEnabled(false);
/*     */     }
/*     */   }
/*     */   
/*     */   private JLabel jLabelName;
/*     */   private JLabel jLabelResourceFile;
/*     */   private JLabel jLabelResourceType;
/*     */   private JLabel jLabelUriString;
/*     */   private JPanel jPanel1;
/*     */   private JPanel jPanel2;
/*     */   private JPanel jPanelFile;
/*     */   private JScrollPane jScrollPane1;
/*     */   
/*     */   private void initComponents() {
/* 143 */     this.jLabel1 = new JLabel();
/* 144 */     this.jSeparator4 = new JSeparator();
/* 145 */     this.jPanel1 = new JPanel();
/* 146 */     this.jLabelUriString = new JLabel();
/* 147 */     this.jTextFieldUriString = new JTextField();
/* 148 */     this.jLabelResourceType = new JLabel();
/* 149 */     this.jComboBoxResourceType = new JComboBox();
/* 150 */     this.jLabelName = new JLabel();
/* 151 */     this.jTextFieldName = new JTextField();
/* 152 */     this.jSeparator1 = new JSeparator();
/* 153 */     this.jLabelLabel = new JLabel();
/* 154 */     this.jTextFieldLabel = new JTextField();
/* 155 */     this.jLabelDescription = new JLabel();
/* 156 */     this.jScrollPane1 = new JScrollPane();
/* 157 */     this.jEditorPaneDescription = new JEditorPane();
/* 158 */     this.jSeparator2 = new JSeparator();
/* 159 */     this.jLabelResourceFile = new JLabel();
/* 160 */     this.jPanelFile = new JPanel();
/* 161 */     this.jTextFieldFile = new JTextField();
/* 162 */     this.jButton1 = new JButton();
/* 163 */     this.jSeparator3 = new JSeparator();
/* 164 */     this.jPanel2 = new JPanel();
/* 165 */     this.jButtonSave = new JButton();
/* 166 */     this.jButtonClose = new JButton();
/*     */     
/* 168 */     getContentPane().setLayout(new GridBagLayout());
/*     */     
/* 170 */     setDefaultCloseOperation(0);
/* 171 */     setTitle("Import resource");
/* 172 */     addWindowListener(new java.awt.event.WindowAdapter() {
/*     */       public void windowClosing(WindowEvent evt) {
/* 174 */         NewResourceDialog.this.formWindowClosing(evt);
/*     */       }
/*     */       
/* 177 */     });
/* 178 */     this.jLabel1.setBackground(new java.awt.Color(255, 255, 255));
/* 179 */     this.jLabel1.setFont(new java.awt.Font("Dialog", 1, 12));
/* 180 */     this.jLabel1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/com/jaspersoft/jasperserver/irplugin/res/new_res.png")));
/* 181 */     this.jLabel1.setText("New folder/resource");
/* 182 */     this.jLabel1.setVerticalAlignment(3);
/* 183 */     this.jLabel1.setMaximumSize(new Dimension(126, 50));
/* 184 */     this.jLabel1.setOpaque(true);
/* 185 */     this.jLabel1.setVerticalTextPosition(3);
/* 186 */     GridBagConstraints gridBagConstraints = new GridBagConstraints();
/* 187 */     gridBagConstraints.fill = 1;
/* 188 */     gridBagConstraints.weightx = 1.0D;
/* 189 */     getContentPane().add(this.jLabel1, gridBagConstraints);
/*     */     
/* 191 */     this.jSeparator4.setMinimumSize(new Dimension(1, 2));
/* 192 */     this.jSeparator4.setPreferredSize(new Dimension(1, 2));
/* 193 */     gridBagConstraints = new GridBagConstraints();
/* 194 */     gridBagConstraints.gridx = 0;
/* 195 */     gridBagConstraints.fill = 2;
/* 196 */     gridBagConstraints.weightx = 1.0D;
/* 197 */     getContentPane().add(this.jSeparator4, gridBagConstraints);
/*     */     
/* 199 */     this.jPanel1.setLayout(new GridBagLayout());
/*     */     
/* 201 */     this.jPanel1.setPreferredSize(new Dimension(400, 200));
/* 202 */     this.jLabelUriString.setText("Parent Location");
/* 203 */     gridBagConstraints = new GridBagConstraints();
/* 204 */     gridBagConstraints.gridx = 0;
/* 205 */     gridBagConstraints.fill = 2;
/* 206 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 207 */     this.jPanel1.add(this.jLabelUriString, gridBagConstraints);
/*     */     
/* 209 */     this.jTextFieldUriString.setEditable(false);
/* 210 */     this.jTextFieldUriString.setBorder(javax.swing.BorderFactory.createEmptyBorder(1, 1, 1, 1));
/* 211 */     this.jTextFieldUriString.setOpaque(false);
/* 212 */     gridBagConstraints = new GridBagConstraints();
/* 213 */     gridBagConstraints.gridx = 1;
/* 214 */     gridBagConstraints.fill = 2;
/* 215 */     gridBagConstraints.weightx = 1.0D;
/* 216 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 217 */     this.jPanel1.add(this.jTextFieldUriString, gridBagConstraints);
/*     */     
/* 219 */     this.jLabelResourceType.setText("Resource type");
/* 220 */     gridBagConstraints = new GridBagConstraints();
/* 221 */     gridBagConstraints.gridx = 0;
/* 222 */     gridBagConstraints.fill = 2;
/* 223 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 224 */     this.jPanel1.add(this.jLabelResourceType, gridBagConstraints);
/*     */     
/* 226 */     gridBagConstraints = new GridBagConstraints();
/* 227 */     gridBagConstraints.gridx = 1;
/* 228 */     gridBagConstraints.fill = 2;
/* 229 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 230 */     this.jPanel1.add(this.jComboBoxResourceType, gridBagConstraints);
/*     */     
/* 232 */     this.jLabelName.setText("Name");
/* 233 */     gridBagConstraints = new GridBagConstraints();
/* 234 */     gridBagConstraints.gridx = 0;
/* 235 */     gridBagConstraints.fill = 2;
/* 236 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 237 */     this.jPanel1.add(this.jLabelName, gridBagConstraints);
/*     */     
/* 239 */     gridBagConstraints = new GridBagConstraints();
/* 240 */     gridBagConstraints.gridx = 1;
/* 241 */     gridBagConstraints.fill = 2;
/* 242 */     gridBagConstraints.weightx = 1.0D;
/* 243 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 244 */     this.jPanel1.add(this.jTextFieldName, gridBagConstraints);
/*     */     
/* 246 */     this.jSeparator1.setMinimumSize(new Dimension(0, 2));
/* 247 */     gridBagConstraints = new GridBagConstraints();
/* 248 */     gridBagConstraints.gridx = 0;
/* 249 */     gridBagConstraints.gridwidth = 2;
/* 250 */     gridBagConstraints.fill = 2;
/* 251 */     gridBagConstraints.weightx = 1.0D;
/* 252 */     gridBagConstraints.insets = new Insets(4, 4, 6, 4);
/* 253 */     this.jPanel1.add(this.jSeparator1, gridBagConstraints);
/*     */     
/* 255 */     this.jLabelLabel.setText("Label");
/* 256 */     gridBagConstraints = new GridBagConstraints();
/* 257 */     gridBagConstraints.gridx = 0;
/* 258 */     gridBagConstraints.fill = 2;
/* 259 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 260 */     this.jPanel1.add(this.jLabelLabel, gridBagConstraints);
/*     */     
/* 262 */     gridBagConstraints = new GridBagConstraints();
/* 263 */     gridBagConstraints.gridx = 1;
/* 264 */     gridBagConstraints.fill = 2;
/* 265 */     gridBagConstraints.weightx = 1.0D;
/* 266 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 267 */     this.jPanel1.add(this.jTextFieldLabel, gridBagConstraints);
/*     */     
/* 269 */     this.jLabelDescription.setText("Description");
/* 270 */     gridBagConstraints = new GridBagConstraints();
/* 271 */     gridBagConstraints.gridx = 0;
/* 272 */     gridBagConstraints.fill = 2;
/* 273 */     gridBagConstraints.anchor = 11;
/* 274 */     gridBagConstraints.insets = new Insets(4, 4, 0, 4);
/* 275 */     this.jPanel1.add(this.jLabelDescription, gridBagConstraints);
/*     */     
/* 277 */     this.jScrollPane1.setViewportView(this.jEditorPaneDescription);
/*     */     
/* 279 */     gridBagConstraints = new GridBagConstraints();
/* 280 */     gridBagConstraints.gridx = 1;
/* 281 */     gridBagConstraints.fill = 1;
/* 282 */     gridBagConstraints.weightx = 1.0D;
/* 283 */     gridBagConstraints.weighty = 1.0D;
/* 284 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 285 */     this.jPanel1.add(this.jScrollPane1, gridBagConstraints);
/*     */     
/* 287 */     this.jSeparator2.setMinimumSize(new Dimension(0, 2));
/* 288 */     gridBagConstraints = new GridBagConstraints();
/* 289 */     gridBagConstraints.gridx = 0;
/* 290 */     gridBagConstraints.gridwidth = 2;
/* 291 */     gridBagConstraints.fill = 2;
/* 292 */     gridBagConstraints.weightx = 1.0D;
/* 293 */     gridBagConstraints.insets = new Insets(4, 4, 6, 4);
/* 294 */     this.jPanel1.add(this.jSeparator2, gridBagConstraints);
/*     */     
/* 296 */     this.jLabelResourceFile.setText("Resource file");
/* 297 */     gridBagConstraints = new GridBagConstraints();
/* 298 */     gridBagConstraints.gridx = 0;
/* 299 */     gridBagConstraints.fill = 2;
/* 300 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 301 */     this.jPanel1.add(this.jLabelResourceFile, gridBagConstraints);
/*     */     
/* 303 */     this.jPanelFile.setLayout(new GridBagLayout());
/*     */     
/* 305 */     this.jPanelFile.setMinimumSize(new Dimension(11, 19));
/* 306 */     this.jPanelFile.setPreferredSize(new Dimension(11, 19));
/* 307 */     gridBagConstraints = new GridBagConstraints();
/* 308 */     gridBagConstraints.gridx = 1;
/* 309 */     gridBagConstraints.fill = 2;
/* 310 */     gridBagConstraints.weightx = 1.0D;
/* 311 */     this.jPanelFile.add(this.jTextFieldFile, gridBagConstraints);
/*     */     
/* 313 */     this.jButton1.setText("Browse");
/* 314 */     this.jButton1.setMinimumSize(new Dimension(73, 19));
/* 315 */     this.jButton1.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 317 */         NewResourceDialog.this.jButton1ActionPerformed(evt);
/*     */       }
/*     */       
/* 320 */     });
/* 321 */     this.jPanelFile.add(this.jButton1, new GridBagConstraints());
/*     */     
/* 323 */     gridBagConstraints = new GridBagConstraints();
/* 324 */     gridBagConstraints.gridx = 1;
/* 325 */     gridBagConstraints.fill = 2;
/* 326 */     gridBagConstraints.weightx = 1.0D;
/* 327 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 328 */     this.jPanel1.add(this.jPanelFile, gridBagConstraints);
/*     */     
/* 330 */     gridBagConstraints = new GridBagConstraints();
/* 331 */     gridBagConstraints.gridx = 0;
/* 332 */     gridBagConstraints.fill = 1;
/* 333 */     gridBagConstraints.weightx = 1.0D;
/* 334 */     gridBagConstraints.weighty = 1.0D;
/* 335 */     getContentPane().add(this.jPanel1, gridBagConstraints);
/*     */     
/* 337 */     this.jSeparator3.setMinimumSize(new Dimension(0, 2));
/* 338 */     gridBagConstraints = new GridBagConstraints();
/* 339 */     gridBagConstraints.gridx = 0;
/* 340 */     gridBagConstraints.gridwidth = 2;
/* 341 */     gridBagConstraints.fill = 2;
/* 342 */     gridBagConstraints.weightx = 1.0D;
/* 343 */     gridBagConstraints.insets = new Insets(4, 4, 6, 4);
/* 344 */     getContentPane().add(this.jSeparator3, gridBagConstraints);
/*     */     
/* 346 */     this.jPanel2.setLayout(new GridBagLayout());
/*     */     
/* 348 */     this.jPanel2.setMinimumSize(new Dimension(10, 30));
/* 349 */     this.jPanel2.setPreferredSize(new Dimension(10, 30));
/* 350 */     this.jButtonSave.setText("Save");
/* 351 */     this.jButtonSave.setEnabled(false);
/* 352 */     this.jButtonSave.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 354 */         NewResourceDialog.this.jButtonSaveActionPerformed(evt);
/*     */       }
/*     */       
/* 357 */     });
/* 358 */     gridBagConstraints = new GridBagConstraints();
/* 359 */     gridBagConstraints.anchor = 13;
/* 360 */     gridBagConstraints.weightx = 1.0D;
/* 361 */     gridBagConstraints.insets = new Insets(0, 0, 0, 4);
/* 362 */     this.jPanel2.add(this.jButtonSave, gridBagConstraints);
/*     */     
/* 364 */     this.jButtonClose.setText("Close");
/* 365 */     this.jButtonClose.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 367 */         NewResourceDialog.this.jButtonCloseActionPerformed(evt);
/*     */       }
/*     */       
/* 370 */     });
/* 371 */     this.jPanel2.add(this.jButtonClose, new GridBagConstraints());
/*     */     
/* 373 */     gridBagConstraints = new GridBagConstraints();
/* 374 */     gridBagConstraints.gridx = 0;
/* 375 */     gridBagConstraints.fill = 2;
/* 376 */     gridBagConstraints.insets = new Insets(0, 4, 0, 4);
/* 377 */     getContentPane().add(this.jPanel2, gridBagConstraints);
/*     */     
/* 379 */     pack();
/*     */   }
/*     */   
/*     */   private void jButton1ActionPerformed(ActionEvent evt)
/*     */   {
/* 384 */     String fileName = "";
/* 385 */     JFileChooser jfc = new JFileChooser(it.businesslogic.ireport.gui.MainFrame.getMainInstance().getCurrentDirectory());
/*     */     
/* 387 */     jfc.setDialogTitle("Pick a file....");
/*     */     
/* 389 */     String resType = "" + ((Tag)this.jComboBoxResourceType.getSelectedItem()).getValue();
/*     */     
/* 391 */     if (resType.equals("jrxml"))
/*     */     {
/* 393 */       jfc.setFileFilter(new FileFilter() {
/*     */         public boolean accept(File file) {
/* 395 */           String filename = file.getName();
/* 396 */           return (filename.toLowerCase().endsWith(".xml")) || (file.isDirectory()) || (filename.toLowerCase().endsWith(".jrxml"));
/*     */         }
/*     */         
/* 399 */         public String getDescription() { return "JasperReports XML *.xml, *.jrxml";
/*     */         }
/*     */ 
/*     */       });
/* 403 */     } else if (resType.equals("font"))
/*     */     {
/* 405 */       jfc.setFileFilter(new FileFilter() {
/*     */         public boolean accept(File file) {
/* 407 */           String filename = file.getName();
/* 408 */           return (filename.toLowerCase().endsWith(".ttf")) || (file.isDirectory()) || (filename.toLowerCase().endsWith(".jrxml"));
/*     */         }
/*     */         
/* 411 */         public String getDescription() { return "TrueType font *.TTF";
/*     */         }
/*     */ 
/*     */       });
/* 415 */     } else if (resType.equals("prop"))
/*     */     {
/* 417 */       jfc.setFileFilter(new FileFilter() {
/*     */         public boolean accept(File file) {
/* 419 */           String filename = file.getName();
/* 420 */           return (filename.toLowerCase().endsWith(".properties")) || (file.isDirectory()) || (filename.toLowerCase().endsWith(".jrxml"));
/*     */         }
/*     */         
/* 423 */         public String getDescription() { return "ResourceBundle *.properties";
/*     */         }
/*     */ 
/*     */       });
/* 427 */     } else if (resType.equals("jar"))
/*     */     {
/* 429 */       jfc.setFileFilter(new FileFilter() {
/*     */         public boolean accept(File file) {
/* 431 */           String filename = file.getName();
/* 432 */           return (filename.toLowerCase().endsWith(".jar")) || (file.isDirectory()) || (filename.toLowerCase().endsWith(".jrxml"));
/*     */         }
/*     */         
/* 435 */         public String getDescription() { return "Java Archive *.jar"; }
/*     */       });
/*     */     }
/*     */     
/*     */ 
/* 440 */     jfc.setMultiSelectionEnabled(false);
/* 441 */     jfc.setDialogType(0);
/* 442 */     if (jfc.showOpenDialog(this) == 0)
/*     */     {
/* 444 */       this.jTextFieldFile.setText(jfc.getSelectedFile() + "");
/* 445 */       updateSaveButton();
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */   private void formWindowClosing(WindowEvent evt)
/*     */   {
/* 452 */     jButtonCloseActionPerformed(null);
/*     */   }
/*     */   
/*     */   private void jButtonCloseActionPerformed(ActionEvent evt)
/*     */   {
/* 457 */     if (this.jButtonSave.isEnabled())
/*     */     {
/* 459 */       if (JOptionPane.showConfirmDialog(this, IRPlugin.getString("newResourceDialog.message.resourceChanged", "The resource was changed.\n\nDo you want save the changes?")) == 0)
/*     */       {
/*     */ 
/* 462 */         jButtonSaveActionPerformed(null);
/*     */         
/* 464 */         if (this.jButtonSave.isEnabled()) return;
/*     */       }
/*     */     }
/* 467 */     setVisible(false);
/* 468 */     dispose();
/*     */   }
/*     */   
/*     */ 
/*     */   private void jButtonSaveActionPerformed(ActionEvent evt)
/*     */   {
/* 474 */     ResourceDescriptor rd = new ResourceDescriptor();
/*     */     
/* 476 */     File resourceFile = null;
/* 477 */     if (!getResourceType().equals("folder"))
/*     */     {
/* 479 */       rd.setWsType("" + ((Tag)this.jComboBoxResourceType.getSelectedItem()).getValue());
/*     */       
/* 481 */       rd.setHasData(true);
/* 482 */       resourceFile = new File(this.jTextFieldFile.getText());
/*     */       
/* 484 */       if (!resourceFile.exists())
/*     */       {
/* 486 */         JOptionPane.showMessageDialog(this, IRPlugin.getFormattedString("newResourceDialog.message.fileNotFound", "{0}\n\nFile not found!", new Object[] { this.jTextFieldFile.getText() }));
/*     */       }
/*     */       
/*     */ 
/*     */     }
/*     */     else
/*     */     {
/*     */ 
/* 494 */       rd.setWsType("folder");
/*     */     }
/*     */     
/* 497 */     rd.setName(this.jTextFieldName.getText());
/*     */     
/* 499 */     String uri = getParentUri();
/* 500 */     if (!uri.endsWith("/")) uri = uri + "/";
/* 501 */     uri = uri + this.jTextFieldName.getText();
/*     */     
/* 503 */     rd.setUriString(uri);
/*     */     
/* 505 */     rd.setDescription(this.jEditorPaneDescription.getText().trim());
/* 506 */     rd.setLabel(this.jTextFieldLabel.getText().trim());
/* 507 */     rd.setParentFolder(getParentUri());
/*     */     
/* 509 */     if (getReportUnitUri() != null)
/*     */     {
/* 511 */       rd.setParentFolder(getReportUnitUri() + "_files");
/*     */     }
/* 513 */     rd.setIsNew(true);
/*     */     
/*     */ 
/*     */     try
/*     */     {
/* 518 */       validate(rd);
/* 519 */       this.newResourceDescriptor = getServer().getWSClient().modifyReportUnitResource(getReportUnitUri(), rd, resourceFile);
/* 520 */       setDialogResult(0);
/* 521 */       setVisible(false);
/* 522 */       dispose();
/*     */     }
/*     */     catch (Exception ex) {
/* 525 */       JOptionPane.showMessageDialog(this, IRPlugin.getFormattedString("messages.error.3", "Error:\n {0}", new Object[] { ex.getMessage() }));
/* 526 */       ex.printStackTrace();
/* 527 */       return; } }
/*     */   
/*     */   private JSeparator jSeparator1;
/*     */   private JSeparator jSeparator2;
/*     */   private JSeparator jSeparator3;
/*     */   private JSeparator jSeparator4;
/*     */   private JTextField jTextFieldFile;
/*     */   private JTextField jTextFieldLabel;
/*     */   private JTextField jTextFieldName;
/*     */   private JTextField jTextFieldUriString;
/* 537 */   public void validate(ResourceDescriptor dataType) throws Exception { ValidationUtils.validateName(dataType.getName());
/* 538 */     ValidationUtils.validateLabel(dataType.getLabel());
/* 539 */     ValidationUtils.validateDesc(dataType.getDescription());
/*     */   }
/*     */   
/*     */   public int getDialogResult() {
/* 543 */     return this.dialogResult;
/*     */   }
/*     */   
/*     */   public void setDialogResult(int dialogResult) {
/* 547 */     this.dialogResult = dialogResult;
/*     */   }
/*     */   
/*     */   public String getParentUri() {
/* 551 */     return this.parentUri;
/*     */   }
/*     */   
/*     */   public void setParentUri(String parentUri) {
/* 555 */     this.parentUri = parentUri;
/*     */     
/* 557 */     if ((this.reportUnitUri != null) && (this.reportUnitUri.length() > 0)) {
/* 558 */       this.parentUri = (this.reportUnitUri + "_files");
/*     */     }
/* 560 */     this.jTextFieldUriString.setText(parentUri);
/*     */   }
/*     */   
/*     */   public JServer getServer() {
/* 564 */     return this.server;
/*     */   }
/*     */   
/*     */   public void setServer(JServer server)
/*     */   {
/* 569 */     this.server = server;
/*     */   }
/*     */   
/*     */   public String getResourceType() {
/* 573 */     return this.resourceType;
/*     */   }
/*     */   
/*     */   public void setResourceType(String resourceType) {
/* 577 */     this.resourceType = resourceType;
/*     */     
/* 579 */     boolean newFolder = resourceType.equals("folder");
/* 580 */     this.jLabelResourceType.setVisible(!newFolder);
/* 581 */     this.jComboBoxResourceType.setVisible(!newFolder);
/* 582 */     this.jSeparator2.setVisible(!newFolder);
/* 583 */     this.jLabelResourceFile.setVisible(!newFolder);
/* 584 */     this.jPanelFile.setVisible(!newFolder);
/*     */     
/* 586 */     it.businesslogic.ireport.util.Misc.setComboboxSelectedTagValue(this.jComboBoxResourceType, resourceType);
/*     */   }
/*     */   
/*     */   public String getReportUnitUri() {
/* 590 */     return this.reportUnitUri;
/*     */   }
/*     */   
/*     */   public void setReportUnitUri(String reportUnitUri) {
/* 594 */     this.reportUnitUri = reportUnitUri;
/*     */     
/* 596 */     if ((reportUnitUri != null) && (reportUnitUri.length() > 0)) {
/* 597 */       setParentUri(reportUnitUri + "_files");
/*     */     }
/*     */   }
/*     */   
/*     */   public ResourceDescriptor getNewResourceDescriptor() {
/* 602 */     return this.newResourceDescriptor;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\gui\NewResourceDialog.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */