/*     */ package com.jaspersoft.jasperserver.irplugin.gui.inputcontrols.ui;
/*     */ 
/*     */ import java.awt.Container;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.GridBagConstraints;
/*     */ import java.awt.GridBagLayout;
/*     */ import java.awt.Insets;
/*     */ import java.util.List;
/*     */ import javax.swing.JComboBox;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JPanel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class BasicInputControlUI
/*     */   extends JPanel
/*     */   implements InputControlUI
/*     */ {
/*     */   private JComboBox jComboBoxValue;
/*     */   private JLabel jLabelName;
/*     */   
/*     */   public BasicInputControlUI()
/*     */   {
/*  36 */     initComponents();
/*     */   }
/*     */   
/*     */   public Object getValue()
/*     */   {
/*  41 */     return getJComboBoxValue().getSelectedItem();
/*     */   }
/*     */   
/*     */   public void setValue(Object v)
/*     */   {
/*  46 */     for (int i = 0; i < getJComboBoxValue().getItemCount(); i++)
/*     */     {
/*  48 */       Object val = getJComboBoxValue().getItemAt(i);
/*  49 */       if (val.equals(v))
/*     */       {
/*  51 */         getJComboBoxValue().setSelectedIndex(i);
/*  52 */         return;
/*     */       }
/*     */     }
/*     */     
/*  56 */     getJComboBoxValue().setSelectedItem(v);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private void initComponents()
/*     */   {
/*  68 */     this.jLabelName = new JLabel();
/*  69 */     this.jComboBoxValue = new JComboBox();
/*     */     
/*  71 */     setLayout(new GridBagLayout());
/*     */     
/*  73 */     setPreferredSize(new Dimension(250, 40));
/*  74 */     this.jLabelName.setText("jLabel1");
/*  75 */     GridBagConstraints gridBagConstraints = new GridBagConstraints();
/*  76 */     gridBagConstraints.fill = 2;
/*  77 */     gridBagConstraints.weightx = 1.0D;
/*  78 */     gridBagConstraints.insets = new Insets(0, 4, 0, 4);
/*  79 */     add(this.jLabelName, gridBagConstraints);
/*     */     
/*  81 */     this.jComboBoxValue.setEditable(true);
/*  82 */     gridBagConstraints = new GridBagConstraints();
/*  83 */     gridBagConstraints.gridx = 0;
/*  84 */     gridBagConstraints.fill = 2;
/*  85 */     gridBagConstraints.weightx = 1.0D;
/*  86 */     gridBagConstraints.insets = new Insets(0, 14, 0, 4);
/*  87 */     add(this.jComboBoxValue, gridBagConstraints);
/*     */   }
/*     */   
/*     */ 
/*     */   public void setLabel(String lbl)
/*     */   {
/*  93 */     this.jLabelName.setText(lbl);
/*     */   }
/*     */   
/*     */   public void setHistory(List values)
/*     */   {
/*  98 */     getJComboBoxValue().removeAllItems();
/*  99 */     if (values == null) return;
/* 100 */     for (int i = 0; i < values.size(); i++)
/*     */     {
/* 102 */       getJComboBoxValue().addItem(values.get(i));
/*     */     }
/*     */     
/* 105 */     if (getJComboBoxValue().getItemCount() > 0)
/*     */     {
/* 107 */       getJComboBoxValue().setSelectedIndex(0);
/*     */     }
/*     */     
/* 110 */     getJComboBoxValue().updateUI();
/*     */   }
/*     */   
/*     */   public void setComboEditable(boolean b)
/*     */   {
/* 115 */     getJComboBoxValue().setEditable(b);
/*     */   }
/*     */   
/*     */   public boolean getComboEditable()
/*     */   {
/* 120 */     return getJComboBoxValue().isEditable();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setReadOnly(boolean b)
/*     */   {
/* 130 */     this.jLabelName.setEnabled(!b);
/* 131 */     getJComboBoxValue().setEnabled(!b);
/*     */   }
/*     */   
/*     */   public JComboBox getJComboBoxValue() {
/* 135 */     return this.jComboBoxValue;
/*     */   }
/*     */   
/*     */   public void setJComboBoxValue(JComboBox jComboBoxValue) {
/* 139 */     this.jComboBoxValue = jComboBoxValue;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\gui\inputcontrols\ui\BasicInputControlUI.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */