/*     */ package com.jaspersoft.jasperserver.jaxrs.client.dto.jobs;
/*     */ 
/*     */ import java.util.Map;
/*     */ import javax.xml.bind.annotation.XmlRootElement;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @XmlRootElement(name="outputFTPInfo")
/*     */ public class FtpInfo
/*     */ {
/*     */   private String userName;
/*     */   private String password;
/*     */   private String folderPath;
/*     */   private String serverName;
/*     */   private FtpType type;
/*     */   private String protocol;
/*     */   private Integer port;
/*     */   private Boolean implicit;
/*     */   private Long pbsz;
/*     */   private String prot;
/*     */   private Map<String, String> propertiesMap;
/*     */   
/*     */   public String getUserName()
/*     */   {
/*  45 */     return this.userName;
/*     */   }
/*     */   
/*     */   public void setUserName(String userName) {
/*  49 */     this.userName = userName;
/*     */   }
/*     */   
/*     */   public String getPassword() {
/*  53 */     return this.password;
/*     */   }
/*     */   
/*     */   public void setPassword(String password) {
/*  57 */     this.password = password;
/*     */   }
/*     */   
/*     */   public String getFolderPath() {
/*  61 */     return this.folderPath;
/*     */   }
/*     */   
/*     */   public void setFolderPath(String folderPath) {
/*  65 */     this.folderPath = folderPath;
/*     */   }
/*     */   
/*     */   public String getServerName() {
/*  69 */     return this.serverName;
/*     */   }
/*     */   
/*     */   public void setServerName(String serverName) {
/*  73 */     this.serverName = serverName;
/*     */   }
/*     */   
/*     */   public FtpType getType() {
/*  77 */     return this.type;
/*     */   }
/*     */   
/*     */   public void setType(FtpType type) {
/*  81 */     this.type = type;
/*     */   }
/*     */   
/*     */   public String getProtocol() {
/*  85 */     return this.protocol;
/*     */   }
/*     */   
/*     */   public void setProtocol(String protocol) {
/*  89 */     this.protocol = protocol;
/*     */   }
/*     */   
/*     */   public Integer getPort() {
/*  93 */     return this.port;
/*     */   }
/*     */   
/*     */   public void setPort(Integer port) {
/*  97 */     this.port = port;
/*     */   }
/*     */   
/*     */   public Boolean isImplicit() {
/* 101 */     return this.implicit;
/*     */   }
/*     */   
/*     */   public void setImplicit(Boolean implicit) {
/* 105 */     this.implicit = implicit;
/*     */   }
/*     */   
/*     */   public Long getPbsz() {
/* 109 */     return this.pbsz;
/*     */   }
/*     */   
/*     */   public void setPbsz(Long pbsz) {
/* 113 */     this.pbsz = pbsz;
/*     */   }
/*     */   
/*     */   public String getProt() {
/* 117 */     return this.prot;
/*     */   }
/*     */   
/*     */   public void setProt(String prot) {
/* 121 */     this.prot = prot;
/*     */   }
/*     */   
/*     */   public Map<String, String> getPropertiesMap() {
/* 125 */     return this.propertiesMap;
/*     */   }
/*     */   
/*     */   public void setPropertiesMap(Map<String, String> propertiesMap) {
/* 129 */     this.propertiesMap = propertiesMap;
/*     */   }
/*     */   
/*     */   public boolean equals(Object o)
/*     */   {
/* 134 */     if (this == o) return true;
/* 135 */     if ((o == null) || (getClass() != o.getClass())) { return false;
/*     */     }
/* 137 */     FtpInfo ftpInfo = (FtpInfo)o;
/*     */     
/* 139 */     if (this.folderPath != null ? !this.folderPath.equals(ftpInfo.folderPath) : ftpInfo.folderPath != null) return false;
/* 140 */     if (this.implicit != null ? !this.implicit.equals(ftpInfo.implicit) : ftpInfo.implicit != null) return false;
/* 141 */     if (this.password != null ? !this.password.equals(ftpInfo.password) : ftpInfo.password != null) return false;
/* 142 */     if (this.pbsz != null ? !this.pbsz.equals(ftpInfo.pbsz) : ftpInfo.pbsz != null) return false;
/* 143 */     if (this.port != null ? !this.port.equals(ftpInfo.port) : ftpInfo.port != null) return false;
/* 144 */     if (this.propertiesMap != null ? !this.propertiesMap.equals(ftpInfo.propertiesMap) : ftpInfo.propertiesMap != null)
/* 145 */       return false;
/* 146 */     if (this.prot != null ? !this.prot.equals(ftpInfo.prot) : ftpInfo.prot != null) return false;
/* 147 */     if (this.protocol != null ? !this.protocol.equals(ftpInfo.protocol) : ftpInfo.protocol != null) return false;
/* 148 */     if (this.serverName != null ? !this.serverName.equals(ftpInfo.serverName) : ftpInfo.serverName != null) return false;
/* 149 */     if (this.type != null ? !this.type.equals(ftpInfo.type) : ftpInfo.type != null) return false;
/* 150 */     if (this.userName != null ? !this.userName.equals(ftpInfo.userName) : ftpInfo.userName != null) { return false;
/*     */     }
/* 152 */     return true;
/*     */   }
/*     */   
/*     */   public int hashCode()
/*     */   {
/* 157 */     int result = this.userName != null ? this.userName.hashCode() : 0;
/* 158 */     result = 31 * result + (this.password != null ? this.password.hashCode() : 0);
/* 159 */     result = 31 * result + (this.folderPath != null ? this.folderPath.hashCode() : 0);
/* 160 */     result = 31 * result + (this.serverName != null ? this.serverName.hashCode() : 0);
/* 161 */     result = 31 * result + (this.type != null ? this.type.hashCode() : 0);
/* 162 */     result = 31 * result + (this.protocol != null ? this.protocol.hashCode() : 0);
/* 163 */     result = 31 * result + (this.port != null ? this.port.hashCode() : 0);
/* 164 */     result = 31 * result + (this.implicit != null ? this.implicit.hashCode() : 0);
/* 165 */     result = 31 * result + (this.pbsz != null ? this.pbsz.hashCode() : 0);
/* 166 */     result = 31 * result + (this.prot != null ? this.prot.hashCode() : 0);
/* 167 */     result = 31 * result + (this.propertiesMap != null ? this.propertiesMap.hashCode() : 0);
/* 168 */     return result;
/*     */   }
/*     */   
/*     */   public String toString()
/*     */   {
/* 173 */     return "FtpInfo{userName='" + this.userName + '\'' + ", password='" + this.password + '\'' + ", folderPath='" + this.folderPath + '\'' + ", serverName='" + this.serverName + '\'' + ", type='" + this.type + '\'' + ", protocol='" + this.protocol + '\'' + ", port=" + this.port + ", implicit=" + this.implicit + ", pbsz=" + this.pbsz + ", prot='" + this.prot + '\'' + ", propertiesMap=" + this.propertiesMap + '}';
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jrs-rest-java-client-6.0.3-ALPHA.jar!\com\jaspersoft\jasperserver\jaxrs\client\dto\jobs\FtpInfo.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */