/*     */ package com.jaspersoft.jasperserver.jaxrs.client.dto.jobs.reportjobmodel;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.core.exceptions.JSClientException;
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.dto.jobs.FtpInfo;
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.dto.jobs.RepositoryDestination;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ReportJobRepositoryDestinationModel
/*     */   extends RepositoryDestination
/*     */ {
/*     */   public void setFolderURI(String folder)
/*     */   {
/*  70 */     super.setFolderURI(folder);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setSequentialFilenames(boolean sequentialFilenames)
/*     */   {
/*  87 */     super.setSequentialFilenames(Boolean.valueOf(sequentialFilenames));
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setOverwriteFiles(boolean overwriteFiles)
/*     */   {
/*  99 */     super.setOverwriteFiles(Boolean.valueOf(overwriteFiles));
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setOutputDescription(String outputDescription)
/*     */   {
/* 110 */     super.setOutputDescription(outputDescription);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setTimestampPattern(String timestampPattern)
/*     */   {
/* 129 */     super.setTimestampPattern(timestampPattern);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setSaveToRepository(boolean saveToRepository)
/*     */   {
/* 140 */     super.setSaveToRepository(Boolean.valueOf(saveToRepository));
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setDefaultReportOutputFolderURI(String defaultReportOutputFolderURI)
/*     */   {
/* 152 */     super.setDefaultReportOutputFolderURI(defaultReportOutputFolderURI);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setUsingDefaultReportOutputFolderURI(boolean usingDefaultReportOutputFolderURI)
/*     */   {
/* 164 */     super.setUsingDefaultReportOutputFolderURI(Boolean.valueOf(usingDefaultReportOutputFolderURI));
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setOutputLocalFolder(String outputLocalFolder)
/*     */   {
/* 175 */     super.setOutputLocalFolder(outputLocalFolder);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   public FtpInfo getOutputFTPInfo()
/*     */   {
/* 187 */     return getOutputFTPInfoModel();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public FTPInfoModel getOutputFTPInfoModel()
/*     */   {
/* 198 */     FtpInfo model = super.getOutputFTPInfo();
/* 199 */     if (model == null) return null;
/* 200 */     if ((model instanceof FTPInfoModel)) return (FTPInfoModel)model;
/* 201 */     throw new JSClientException("Please use FTPInfoModel instead of FTPInfo in ReportJobRepositoryDestinationModel class.");
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   public void setOutputFTPInfo(FtpInfo ftpInfo)
/*     */   {
/* 212 */     if (ftpInfo == null) { setOutputFTPInfoModel(null);
/* 213 */     } else if ((ftpInfo instanceof FTPInfoModel)) setOutputFTPInfoModel((FTPInfoModel)ftpInfo); else {
/* 214 */       throw new JSClientException("Please use FTPInfoModel instead of FTPInfo in ReportJobRepositoryDestinationModel class.");
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setOutputFTPInfoModel(FTPInfoModel outputFTPInfo)
/*     */   {
/* 225 */     super.setOutputFTPInfo(outputFTPInfo);
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jrs-rest-java-client-6.0.3-ALPHA.jar!\com\jaspersoft\jasperserver\jaxrs\client\dto\jobs\reportjobmodel\ReportJobRepositoryDestinationModel.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */