/*     */ package com.jaspersoft.jasperserver.ws.authority;
/*     */ 
/*     */ import java.io.Serializable;
/*     */ import javax.xml.namespace.QName;
/*     */ import org.apache.axis.description.ElementDesc;
/*     */ import org.apache.axis.description.TypeDesc;
/*     */ import org.apache.axis.encoding.Deserializer;
/*     */ import org.apache.axis.encoding.Serializer;
/*     */ import org.apache.axis.encoding.ser.BeanDeserializer;
/*     */ import org.apache.axis.encoding.ser.BeanSerializer;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class WSRoleSearchCriteria
/*     */   implements Serializable
/*     */ {
/*     */   private String roleName;
/*     */   private String tenantId;
/*     */   private Boolean includeSubOrgs;
/*     */   private int maxRecords;
/*     */   
/*     */   public WSRoleSearchCriteria(String roleName, String tenantId, Boolean includeSubOrgs, int maxRecords)
/*     */   {
/*  48 */     this.roleName = roleName;
/*  49 */     this.tenantId = tenantId;
/*  50 */     this.includeSubOrgs = includeSubOrgs;
/*  51 */     this.maxRecords = maxRecords;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getRoleName()
/*     */   {
/*  61 */     return this.roleName;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setRoleName(String roleName)
/*     */   {
/*  71 */     this.roleName = roleName;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getTenantId()
/*     */   {
/*  81 */     return this.tenantId;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setTenantId(String tenantId)
/*     */   {
/*  91 */     this.tenantId = tenantId;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public Boolean getIncludeSubOrgs()
/*     */   {
/* 101 */     return this.includeSubOrgs;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setIncludeSubOrgs(Boolean includeSubOrgs)
/*     */   {
/* 111 */     this.includeSubOrgs = includeSubOrgs;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public int getMaxRecords()
/*     */   {
/* 121 */     return this.maxRecords;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setMaxRecords(int maxRecords)
/*     */   {
/* 131 */     this.maxRecords = maxRecords;
/*     */   }
/*     */   
/* 134 */   private Object __equalsCalc = null;
/*     */   
/* 136 */   public synchronized boolean equals(Object obj) { if (!(obj instanceof WSRoleSearchCriteria)) return false;
/* 137 */     WSRoleSearchCriteria other = (WSRoleSearchCriteria)obj;
/* 138 */     if (obj == null) return false;
/* 139 */     if (this == obj) return true;
/* 140 */     if (this.__equalsCalc != null) {
/* 141 */       return this.__equalsCalc == obj;
/*     */     }
/* 143 */     this.__equalsCalc = obj;
/*     */     
/* 145 */     boolean _equals = ((this.roleName == null) && (other.getRoleName() == null)) || ((this.roleName != null) && (this.roleName.equals(other.getRoleName())) && (((this.tenantId == null) && (other.getTenantId() == null)) || ((this.tenantId != null) && (this.tenantId.equals(other.getTenantId())) && (((this.includeSubOrgs == null) && (other.getIncludeSubOrgs() == null)) || ((this.includeSubOrgs != null) && (this.includeSubOrgs.equals(other.getIncludeSubOrgs())) && (this.maxRecords == other.getMaxRecords()))))));
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 156 */     this.__equalsCalc = null;
/* 157 */     return _equals;
/*     */   }
/*     */   
/* 160 */   private boolean __hashCodeCalc = false;
/*     */   
/* 162 */   public synchronized int hashCode() { if (this.__hashCodeCalc) {
/* 163 */       return 0;
/*     */     }
/* 165 */     this.__hashCodeCalc = true;
/* 166 */     int _hashCode = 1;
/* 167 */     if (getRoleName() != null) {
/* 168 */       _hashCode += getRoleName().hashCode();
/*     */     }
/* 170 */     if (getTenantId() != null) {
/* 171 */       _hashCode += getTenantId().hashCode();
/*     */     }
/* 173 */     if (getIncludeSubOrgs() != null) {
/* 174 */       _hashCode += getIncludeSubOrgs().hashCode();
/*     */     }
/* 176 */     _hashCode += getMaxRecords();
/* 177 */     this.__hashCodeCalc = false;
/* 178 */     return _hashCode;
/*     */   }
/*     */   
/*     */ 
/* 182 */   private static TypeDesc typeDesc = new TypeDesc(WSRoleSearchCriteria.class, true);
/*     */   
/*     */   static
/*     */   {
/* 186 */     typeDesc.setXmlType(new QName("http://www.jasperforge.org/jasperserver/ws", "WSRoleSearchCriteria"));
/* 187 */     ElementDesc elemField = new ElementDesc();
/* 188 */     elemField.setFieldName("roleName");
/* 189 */     elemField.setXmlName(new QName("", "roleName"));
/* 190 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
/* 191 */     elemField.setNillable(true);
/* 192 */     typeDesc.addFieldDesc(elemField);
/* 193 */     elemField = new ElementDesc();
/* 194 */     elemField.setFieldName("tenantId");
/* 195 */     elemField.setXmlName(new QName("", "tenantId"));
/* 196 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
/* 197 */     elemField.setNillable(true);
/* 198 */     typeDesc.addFieldDesc(elemField);
/* 199 */     elemField = new ElementDesc();
/* 200 */     elemField.setFieldName("includeSubOrgs");
/* 201 */     elemField.setXmlName(new QName("", "includeSubOrgs"));
/* 202 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "boolean"));
/* 203 */     elemField.setNillable(true);
/* 204 */     typeDesc.addFieldDesc(elemField);
/* 205 */     elemField = new ElementDesc();
/* 206 */     elemField.setFieldName("maxRecords");
/* 207 */     elemField.setXmlName(new QName("", "maxRecords"));
/* 208 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "int"));
/* 209 */     elemField.setNillable(false);
/* 210 */     typeDesc.addFieldDesc(elemField);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public static TypeDesc getTypeDesc()
/*     */   {
/* 217 */     return typeDesc;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static Serializer getSerializer(String mechType, Class _javaType, QName _xmlType)
/*     */   {
/* 227 */     return new BeanSerializer(_javaType, _xmlType, typeDesc);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static Deserializer getDeserializer(String mechType, Class _javaType, QName _xmlType)
/*     */   {
/* 239 */     return new BeanDeserializer(_javaType, _xmlType, typeDesc);
/*     */   }
/*     */   
/*     */   public WSRoleSearchCriteria() {}
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-common-ws-6.0.jar!\com\jaspersoft\jasperserver\ws\authority\WSRoleSearchCriteria.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */