/*     */ package com.netapp.asup.filter;
/*     */ 
/*     */ import com.netapp.asup.metamodel.MergeType;
/*     */ import java.util.Set;
/*     */ 
/*     */ public class InstanceKey
/*     */ {
/*     */   private String sysId;
/*     */   private String instanceId;
/*     */   
/*     */   public int hashCode()
/*     */   {
/*  13 */     int prime = 31;
/*  14 */     int result = 1;
/*  15 */     result = 31 * result + (this.instanceId == null ? 0 : this.instanceId.hashCode());
/*     */     
/*  17 */     result = 31 * result + (this.sysId == null ? 0 : this.sysId.hashCode());
/*  18 */     result = 31 * result + (this.sysIds == null ? 0 : this.sysIds.hashCode());
/*  19 */     result = 31 * result + (this.type == null ? 0 : this.type.hashCode());
/*  20 */     return result;
/*     */   }
/*     */   
/*     */   public boolean equals(Object obj)
/*     */   {
/*  25 */     if (this == obj)
/*  26 */       return true;
/*  27 */     if (obj == null)
/*  28 */       return false;
/*  29 */     if (getClass() != obj.getClass())
/*  30 */       return false;
/*  31 */     InstanceKey other = (InstanceKey)obj;
/*  32 */     if (this.instanceId == null) {
/*  33 */       if (other.instanceId != null)
/*  34 */         return false;
/*  35 */     } else if (!this.instanceId.equals(other.instanceId)) {
/*  36 */       return false;
/*     */     }
/*  38 */     if (this.type == MergeType.INDIRECT) {
/*  39 */       if (this.sysId == null) {
/*  40 */         if (other.sysId != null)
/*  41 */           return false;
/*  42 */       } else if (!this.sysId.equals(other.sysId))
/*  43 */         return false;
/*     */     }
/*  45 */     return true;
/*     */   }
/*     */   
/*     */ 
/*     */   public String toString()
/*     */   {
/*  51 */     StringBuilder sb = new StringBuilder();
/*  52 */     sb.append("{Type:");
/*  53 */     sb.append(this.type.toString());
/*  54 */     sb.append(",InstanceId:");
/*  55 */     sb.append(this.instanceId);
/*     */     
/*  57 */     if (this.type == MergeType.INDIRECT) {
/*  58 */       sb.append(",SysId:");
/*  59 */       sb.append(this.sysId);
/*     */     } else {
/*  61 */       sb.append(",SysIds:");
/*  62 */       sb.append(this.sysIds);
/*     */     }
/*  64 */     sb.append("}");
/*     */     
/*  66 */     return sb.toString();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*  71 */   private Set<String> sysIds = new java.util.HashSet();
/*     */   private MergeType type;
/*     */   
/*     */   public InstanceKey(String sysId, String instanceId) {
/*  75 */     this.sysId = sysId;
/*  76 */     this.instanceId = instanceId;
/*  77 */     this.type = MergeType.INDIRECT;
/*     */   }
/*     */   
/*     */   public InstanceKey(String instanceId) {
/*  81 */     this.instanceId = instanceId;
/*  82 */     this.type = MergeType.DIRECT;
/*     */   }
/*     */   
/*     */   public boolean addSysId(String sysId)
/*     */   {
/*  87 */     boolean isAdded = false;
/*  88 */     if (this.type.equals(MergeType.DIRECT)) {
/*  89 */       this.sysIds.add(sysId);
/*  90 */       isAdded = true;
/*     */     }
/*  92 */     return isAdded;
/*     */   }
/*     */   
/*     */   public String getSysId() {
/*  96 */     return this.sysId;
/*     */   }
/*     */   
/*     */   public String getInstanceId() {
/* 100 */     return this.instanceId;
/*     */   }
/*     */   
/*     */   public Set<String> getSysIds() {
/* 104 */     return this.sysIds;
/*     */   }
/*     */   
/*     */   public String getSystemIdentifier() {
/* 108 */     if (null != this.sysId) {
/* 109 */       return this.sysId;
/*     */     }
/*     */     
/* 112 */     java.util.Iterator<String> iterator = this.sysIds.iterator();
/*     */     
/* 114 */     if (this.sysIds.isEmpty()) {
/* 115 */       throw new IllegalArgumentException("System identifiers cannot be empty");
/*     */     }
/*     */     
/* 118 */     return (String)iterator.next();
/*     */   }
/*     */   
/*     */   public MergeType getType()
/*     */   {
/* 123 */     return this.type;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\com\netapp\asup\filter\InstanceKey.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */